=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_ANT_ARGS         := -DartifactVersion=$(DEB_UPSTREAM_VERSION) \
                        -DartifactId=$(DEB_SOURCE_PACKAGE)
DEB_JARS             := commons-logging log4j-1.2 servlet-api-2.5 \
                        slf4j-api slf4j-log4j12 junit4 easymock ant-junit4 ant-junit

binary-post-install/lib$(DEB_SOURCE_PACKAGE)-java::
	mh_installpoms -plib$(DEB_SOURCE_PACKAGE)-java
	mh_installjar -plib$(DEB_SOURCE_PACKAGE)-java -l pom.xml build/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).jar

clean::
	mh_clean

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
