=== debian/watch ===
version=3
http://githubredir.debian.net/github/netty/netty/netty-(.*).tar.gz
