=== debian/control ===
Source: netty
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Chris Grzegorczyk <grze@eucalyptus.com>,
           Graziano Obertelli <graziano@eucalyptus.com>,
           Kyo Lee <kyo.lee@eucalyptus.com>,
           Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: ant,
               ant-contrib (>= 1.0~b3+svn177-7~),
               debhelper (>= 9),
               default-jdk,
               ivy,
               libasm4-java,
               libbuild-helper-maven-plugin-java,
               libbcel-java,
               libbcpkix-java,
               libjavassist-java,
               libjzlib-java,
               libmaven-antrun-plugin-java,
               libmaven-bundle-plugin-java,
               libmaven-dependency-plugin-java,
               libmaven-scm-java,
               libmockito-java,
               libnetty-tcnative-java (>= 1.1.33.Fork11),
               libprotobuf-java,
               libxz-java,
               maven-debian-helper (>= 1.5)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/netty.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/netty.git
Homepage: http://netty.io/

Package: libnetty-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: Java NIO client/server socket framework
 Netty is a Java NIO client/server framework which enables quick and easy
 development of network applications such as protocol servers and clients.
 It greatly simplifies and streamlines network programming such as TCP and UDP
 socket server.
