=== debian/rules ===
#!/usr/bin/make -f

export BUILD_DATE=$(shell date --date='@${SOURCE_DATE_EPOCH}' --utc +'%Y-%m-%d %H:%M:%S')

%:
	dh $@ --buildsystem=maven

override_dh_auto_build:
	dh_auto_build -- package -Dbuild.date='${BUILD_DATE}'

get-orig-source:
	uscan --download-current-version --force-download --no-symlink
