=== debian/watch ===
version=3
https://github.com/netty/netty/tags .*/netty-([\d\.]+).Final.tar.gz
