=== debian/control ===
--- 
+++ 
@@ -7,28 +7,30 @@
            Kyo Lee <kyo.lee@eucalyptus.com>,
            Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: ant,
-               ant-contrib (>= 1.0~b3+svn177-7~),
+               ant-contrib (>= 1.0~b3+svn177-8~),
                debhelper (>= 9),
                default-jdk,
                ivy,
-               libasm4-java,
+               libasm-java (>= 5.0),
                libbuild-helper-maven-plugin-java,
-               libbcel-java,
                libbcpkix-java,
                libjavassist-java,
+               libjctools-java,
                libjzlib-java,
+               liblog4j2-java,
                libmaven-antrun-plugin-java,
                libmaven-bundle-plugin-java,
                libmaven-dependency-plugin-java,
                libmaven-scm-java,
+               libmaven-shade-plugin-java,
                libmockito-java,
-               libnetty-tcnative-java (>= 1.1.33.Fork11),
+               libnetty-tcnative-java (>= 1.1.33.Fork21),
                libprotobuf-java,
                libxz-java,
                maven-debian-helper (>= 1.5)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/netty.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/netty.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/netty.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/netty.git
 Homepage: http://netty.io/
 
 Package: libnetty-java
