=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,9 @@
 override_dh_auto_build:
 	dh_auto_build -- package -Dbuild.date='${BUILD_DATE}'
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f common/dependency-reduced-pom.xml
+
 get-orig-source:
 	uscan --download-current-version --force-download --no-symlink
