=== debian/control ===
--- 
+++ 
@@ -8,14 +8,17 @@
            Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: ant,
                ant-contrib (>= 1.0~b3+svn177-8~),
-               debhelper (>= 9),
+               debhelper (>= 10),
                default-jdk,
+               groovy,
                ivy,
                libasm-java (>= 5.0),
                libbuild-helper-maven-plugin-java,
                libbcpkix-java,
+               libcompress-lzf-java,
+               libgoogle-gson-java,
                libjavassist-java,
-               libjctools-java,
+               libjctools-java (>= 2.0),
                libjzlib-java,
                liblog4j2-java,
                libmaven-antrun-plugin-java,
@@ -28,7 +31,7 @@
                libprotobuf-java,
                libxz-java,
                maven-debian-helper (>= 1.5)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/netty.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/netty.git
 Homepage: http://netty.io/
