=== debian/control ===
Source: netty
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Chris Grzegorczyk <grze@eucalyptus.com>,
 Graziano Obertelli <graziano@eucalyptus.com>,
 Kyo Lee <kyo.lee@eucalyptus.com>
Build-Depends:
 ant,
 ant-contrib (>= 1.0~b3+svn177-8~),
 debhelper (>= 11~),
 default-jdk,
 groovy,
 libbcpkix-java,
 libbuild-helper-maven-plugin-java,
 libcompress-lzf-java,
 libgoogle-gson-java,
 libjavassist-java,
 libjctools-java (>= 2.0),
 libjzlib-java,
 liblog4j2-java,
 libmaven-antrun-plugin-java,
 libmaven-bundle-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-shade-plugin-java,
 libmockito-java,
 libnetty-tcnative-java (>= 2.0),
 libprotobuf-java,
 libxz-java,
 maven-debian-helper (>= 1.5)
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/netty.git
Vcs-Browser: https://salsa.debian.org/java-team/netty
Homepage: http://netty.io/

Package: libnetty-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: Java NIO client/server socket framework
 Netty is a Java NIO client/server framework which enables quick and easy
 development of network applications such as protocol servers and clients.
 It greatly simplifies and streamlines network programming such as TCP and UDP
 socket server.
