=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  ant,
  ant-contrib (>= 1.0~b3+svn177-8~),
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  default-jdk,
  groovy,
  libbcpkix-java,
@@ -25,14 +25,15 @@
  libmaven-dependency-plugin-java,
  libmaven-shade-plugin-java,
  libmockito-java,
- libnetty-tcnative-java (>= 2.0),
+ libnetty-tcnative-java (>= 2.0.20),
  libprotobuf-java,
  libxz-java,
  maven-debian-helper (>= 1.5)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/netty.git
 Vcs-Browser: https://salsa.debian.org/java-team/netty
 Homepage: http://netty.io/
+Rules-Requires-Root: no
 
 Package: libnetty-java
 Architecture: all
