## netty 4.1.45

=== debian/changelog ===
netty (1:4.1.45-1ubuntu0.1~esm3) focal-security; urgency=medium

  * SECURITY UPDATE: email forgery
    - debian/patches/CVE-2025-59419.patch: prevent SMTP injection
    - CVE-2025-59419

 -- Julia Sarris <julia.sarris@canonical.com>  Thu, 23 Oct 2025 11:50:30 -0400

netty (1:4.1.45-1ubuntu0.1~esm2) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-29025.patch: Limit number of fields and
      field size
    - CVE-2024-29025
  * SECURITY UPDATE: Information leak
    - debian/patches/CVE-2022-24823.patch: Add checks for directory
      and permissions
    - debian/patches/remove-deprecated-algorithm.patch: Remove usage
      of sha256WithRSAEncryption_oid
    - CVE-2022-24823

 -- Bruce Cable <bruce.cable@canonical.com>  Fri, 14 Feb 2025 09:00:17 +1100

netty (1:4.1.45-1ubuntu0.1~esm1) focal-security; urgency=medium

  * SECURITY UPDATE: Memory buffer out of bounds
    - debian/patches/CVE-2020-11612.patch: Allow a limit to be set on the
      decompressed buffer size for ZlibDecoders.
    - CVE-2020-11612
  * SECURITY UPDATE: Information disclosure
    - debian/patches/CVE-2021-21290.patch: Use Files.createTempFile to ensure
      files are created with proper permissions.
    - CVE-2021-21290
  * SECURITY UPDATE: HTTP request smuggling
    - debian/patches/CVE-2021-21295.patch: Properly validate content-length
      headers.
    - CVE-2021-21295
  * SECURITY UPDATE: HTTP request smuggling
    - debian/patches/CVE-2021-21409.patch: Properly validate content-length
      headers when a single header with the endStream flag is received.
    - CVE-2021-21409
  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2021-37136.patch: Introduce maximum limit for the
      decompressed output data of the Bzip2 decompression decoder function.
    - CVE-2021-37136
  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2021-37137.patch: Introduce maximum limit for the
      Snappy frame decoder function.
    - CVE-2021-37137
  * SECURITY UPDATE: HTTP request smuggling
    - debian/patches/CVE-2021-43797.patch: Properly validate and reject
      disallowed control chars at the beginning and end of header names.
    - CVE-2021-43797
  * SECURITY UPDATE: Stack overflow vulnerability
    - debian/patches/CVE-2022-41881.patch: Introduce maximum limit for nesting
      of TLV to avoid infinite recursion on malformed crafted messages.
    - CVE-2022-41881
  * SECURITY UPDATE: HTTP Response Splitting
    - debian/patches/CVE-2022-41915.patch: Add missing header value validation
      for setObject methods that take arrays and iterators as arguments.
    - CVE-2022-41915

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 21 Apr 2023 21:08:00 +0200

netty (1:4.1.45-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2019-20444, CVE-2019-20445 and CVE-2020-7238
      (Closes: #950966, #950967)
    - Refreshed the patches
    - Updated the Maven rules
    - Depend on libnetty-tcnative-java (>= 2.0.28)
    - Disabled the native image support due to missing dependencies
    - Disabled the BlockHound integration
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Feb 2020 17:10:37 +0100
