=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: netty
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Chris Grzegorczyk <grze@eucalyptus.com>,
  Graziano Obertelli <graziano@eucalyptus.com>,
@@ -25,11 +26,11 @@
  libmaven-dependency-plugin-java,
  libmaven-shade-plugin-java,
  libmockito-java,
- libnetty-tcnative-java (>= 2.0.20),
+ libnetty-tcnative-java (>= 2.0.28),
  libprotobuf-java,
  libxz-java,
  maven-debian-helper (>= 1.5)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/netty.git
 Vcs-Browser: https://salsa.debian.org/java-team/netty
 Homepage: http://netty.io/
