=== debian/control ===
Source: netty
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Chris Grzegorczyk <grze@eucalyptus.com>,
 Graziano Obertelli <graziano@eucalyptus.com>,
 Kyo Lee <kyo.lee@eucalyptus.com>
Build-Depends:
 ant,
 ant-contrib,
 debhelper-compat (= 13),
 default-jdk,
 groovy,
 libbcpkix-java,
 libbuild-helper-maven-plugin-java,
 libcompress-lzf-java,
 libgoogle-gson-java,
 libjavassist-java,
 libjctools-java,
 libjzlib-java,
 liblog4j1.2-java,
 liblog4j2-java,
 libmaven-antrun-plugin-java,
 libmaven-bundle-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-shade-plugin-java,
 libmockito-java,
 libnetty-tcnative-java (>= 2.0.28),
 libprotobuf-java,
 libxz-java,
 maven-debian-helper
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/netty.git
Vcs-Browser: https://salsa.debian.org/java-team/netty
Homepage: https://netty.io/
Rules-Requires-Root: no

Package: libnetty-java
Architecture: all
Multi-Arch: foreign
Depends: ${maven:Depends}, ${misc:Depends}
 , libnetty-common-java (= ${source:Version})
 , libnetty-buffer-java (= ${source:Version})
Suggests: ${maven:OptionalDepends}
Description: Java NIO client/server socket framework
 Netty is a Java NIO client/server framework which enables quick and easy
 development of network applications such as protocol servers and clients.
 It greatly simplifies and streamlines network programming such as TCP and UDP
 socket server.

Package: libnetty-buffer-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
 , libnetty-common-java (= ${source:Version})
Breaks: libnetty-java (<< 1:4.1.48-15~)
Replaces: libnetty-java (<< 1:4.1.48-15~)
Description: Java NIO client/server socket framework
 Netty is a Java NIO client/server framework which enables quick and easy
 development of network applications such as protocol servers and clients.
 It greatly simplifies and streamlines network programming such as TCP and UDP
 socket server.
 .
 This package includes the buffer library.

Package: libnetty-common-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
 , libjctools-java
Breaks: libnetty-java (<< 1:4.1.48-15~)
Replaces: libnetty-java (<< 1:4.1.48-15~)
Description: Java NIO client/server socket framework
 Netty is a Java NIO client/server framework which enables quick and easy
 development of network applications such as protocol servers and clients.
 It greatly simplifies and streamlines network programming such as TCP and UDP
 socket server.
 .
 This package includes the common libraries.
