=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export JAVA_HOME=/usr/lib/jvm/default-java
 export BUILD_DATE=$(shell date --date='@${SOURCE_DATE_EPOCH}' --utc +'%Y-%m-%d %H:%M:%S')
 
 %:
@@ -16,9 +17,9 @@
 
 	dh_auto_build -- package -Dbuild.date='${BUILD_DATE}'
 
+override_dh_installdocs:
+	dh_installdocs --link-doc=libnetty-common-java
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f common/dependency-reduced-pom.xml
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink
